Support » Plugin: Woo Mercado Pago Module Oficial » Works fine in lastest ver

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author Mercado Pago

    (@mercadopago)

    @nereidaespiral,

    I’ve just simulated the lines that gave error to you.

    Your error occurs much probably because you’re using a PHP version 5.3 or less. In our README, we state that you should have, at least, PHP 5.6. We’ll place a fix to handle it for you in next update, but we STRONGLY recommend you to use a PHP version 7 or above.

    Regards!

    I have the same problem. With PHP 5.6 I get the following error:
    wp-content/plugins/woo-mercado-pago-module/mercadopago/mercadopago-gateway.php on line 1367

    and with PFP 7.0.18 or 7.1 I get this:

    Fatal error: Uncaught Error: Call to a member function get_cart() on null in /home/aromboli/public_html/explora/wp-content/plugins/woo-mercado-pago-module/mercadopago/mercadopago-gateway.php:1367 Stack trace: #0 /home/aromboli/public_html/explora/wp-content/plugins/woocommerce/includes/class-wc-payment-gateways.php(154): WC_WooMercadoPago_Gateway->is_available() #1 /home/aromboli/public_html/explora/wp-content/plugins/woocommerce-subscriptions/includes/gateways/class-wc-subscriptions-payment-gateways.php(108): WC_Payment_Gateways->get_available_payment_gateways() #2 /home/aromboli/public_html/explora/wp-content/plugins/woocommerce-subscriptions/includes/admin/class-wc-subscriptions-admin.php(1531): WC_Subscriptions_Payment_Gateways::one_gateway_supports('subscriptions') #3 /home/aromboli/public_html/explora/wp-includes/class-wp-hook.php(298): WC_Subscriptions_Admin::add_recurring_payment_gateway_information(Array) #4 /home/aromboli/public_html/explora/wp-includes/plugin.php(203): WP_Hook->apply_filters(Array, Array) #5 /h in /home/aromboli/public_html/explora/wp-content/plugins/woo-mercado-pago-module/mercadopago/mercadopago-gateway.php on line 1367

    Any idea on how to fix this?

    v.2.2.3 and PHP 7 works fine now!

    Plugin Author Mercado Pago

    (@mercadopago)

    Hi @nereidaespiral and @aromboli,

    Wonderful that it is working fine.
    If it’s ok, please consider re/evaluating us.
    Any problems, please notify us.

    Best regards!

    yes, lastest version and php 7 works fine.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Works fine in lastest ver’ is closed to new replies.